Bug 479581

Summary: fuse has an unnecessary init script
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: fuseAssignee: Peter Lemenkov <lemenkov>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: brackbillbruce, harald, lemenkov, rvokal, tcallawa
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-02-04 21:10:55 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Changes required none

Description Bill Nottingham 2009-01-11 12:40:41 EST
Created attachment 328669 [details]
Changes required

Description of problem:

1) We create the fuse dev in udev, so it can be loaded on demand instead of force-loaded by an init script
2) We can mount the filesystem from udev, so we don't need to do that either

Version-Release number of selected component (if applicable):

fuse-2.7.4-2.fc11

How reproducible:

Every time
Comment 1 Harald Hoyer 2009-01-28 08:10:33 EST
ping?
Comment 2 Fedora Update System 2009-01-29 18:08:25 EST
fuse-2.7.4-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fuse'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1162
Comment 3 Fedora Update System 2009-01-29 18:09:06 EST
fuse-2.7.4-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update fuse'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1167
Comment 4 Fedora Update System 2009-02-04 21:10:53 EST
fuse-2.7.4-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-02-04 21:24:42 EST
fuse-2.7.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Bruce Brackbill 2009-03-07 02:22:47 EST
Sectool is giving me the following warnings:

	Warning(08)   Symbolic link "/etc/rc.d/rc0.d/K75fuse" points to a non-existent file "../init.d/fuse".
	Warning(08)   Symbolic link "/etc/rc.d/rc1.d/K75fuse" points to a non-existent file "../init.d/fuse".
	Warning(08)   Symbolic link "/etc/rc.d/rc2.d/K75fuse" points to a non-existent file "../init.d/fuse".
	Warning(08)   Symbolic link "/etc/rc.d/rc3.d/S25fuse" points to a non-existent file "../init.d/fuse".
	Warning(08)   Symbolic link "/etc/rc.d/rc4.d/S25fuse" points to a non-existent file "../init.d/fuse".
	Warning(08)   Symbolic link "/etc/rc.d/rc5.d/S25fuse" points to a non-existent file "../init.d/fuse".
	Warning(08)   Symbolic link "/etc/rc.d/rc6.d/K75fuse" points to a non-existent file "../init.d/fuse".

Should the links to the init strip have been removed too?

$ rpm -qa | grep fuse
gvfs-fuse-0.2.5-1.fc9.i386
fuse-2.7.4-2.fc9.i386
fuse-libs-2.7.4-2.fc9.i386
Comment 7 Bill Nottingham 2009-03-09 15:46:53 EDT
The trigger needs adjusted for the %dist tag.